function aif = GetAIF02_OM(par,t,AIFmodel)

Ts=t(2)-t(1);
do=length(t);
% AIFmodel
switch AIFmodel
    
    case 'Nonpar'
        aif = par;
        
    case 'Parker'
        %         par = par(end-9:end);
        
        %         A_AIF=par(1);
        %         B_AIF=par(2);
        %         T_AIF=par(3);
        %         T2_AIF=par(4);
        %         sigma_AIF=par(9);
        %         sigma2_AIF=par(10);
        %         alpha_AIF=par(5);
        %         beta_AIF=par(6);
        %         s_AIF=par(7);
        %         tau_AIF=par(8);
        %         aif = AIF_Parker(A_AIF,B_AIF,T_AIF,T2_AIF,sigma_AIF,sigma2_AIF,alpha_AIF,beta_AIF,s_AIF,tau_AIF,Ts,do);
        aif = AIF_Parker2_OM(par,t);
        %aif = aif';
    case 'ParkerShift'
        aif = AIF_Parker2Shift(par,t);
        
    case 'Horsfield'
        aif = AIF_Horsfield(par,t);
        
    case 'Gamma-variate Tri-exponencial'
        %         par = par(end-6:end);
        
        A=par(1);
        B=par(2);
        C=par(3);
        tau1= par(4);
        tau2= par(5);
        tau3= par(6);
        beta= par(7);
        aif=AIF_triexpG(A,B,C,tau1, tau2, tau3, beta, Ts,do);
        %         aif=AIF_triexpG2(par,t);
        
    case 'Gamma-variate Bi-exponencial'
        %         par = par(end-4:end);
        
        A=par(1);
        B=par(2);
        tau1= par(3);
        tau2=par(4);
        beta = par(5);
        aif=AIF_biexpG(A,B,tau1, tau2, beta, Ts,do);
        %         aif=AIF_biexpG2(par,t);
    case 'DiBella'
        %         par = par(end-10:end);
        
        %         A1 = par(11);
        %         A2 = par(4);
        %         A3 = par(7);
        %         A4 = par(9);
        %         alpha1 = par(2);
        %         tau1 = par(3);
        %         tau2 = par(6);
        %         delta1 = par(1);
        %         delta2 = par(5);
        %         delta3 = par(8);
        %         T = par(10);
        %         aif = cpt([delta1 alpha1 tau1 A2 delta2 tau2 A3 delta3 A4 T A1], t);
        aif = cpt(par, t);
        
    case 'DiBellaLim'
        %         par = par(end-7:end);
        
        %         A1 = par(11);
        %         A2 = par(4);
        %         A3 = par(7);
        %         A4 = par(9);
        %         alpha1 = par(2);
        %         tau1 = par(3);
        %         tau2 = par(6);
        %         delta1 = par(1);
        %         delta2 = par(5);
        %         delta3 = par(8);
        %         T = par(10);
        %         aif = cpt([delta1 alpha1 tau1 A2 delta2 tau2 A3 delta3 A4 T A1], t);
        aif = cptLim(par, t);
        
    case 'DiBellaLim2'
        %         par = par(end-9:end);
        
        %         A1 = par(11);
        %         A2 = par(4);
        %         A3 = par(7);
        %         A4 = par(9);
        %         alpha1 = par(2);
        %         tau1 = par(3);
        %         tau2 = par(6);
        %         delta1 = par(1);
        %         delta2 = par(5);
        %         delta3 = par(8);
        %         T = par(10);
        %         aif = cpt([delta1 alpha1 tau1 A2 delta2 tau2 A3 delta3 A4 T A1], t);
        aif = cptLim2(par, t);
        
    case 'GammvarHill'
        %         par = par(end-10:end);
        aif = AIF_GammHill(par, t);
        
        
        
        
    case 'Bi-exponencial'
        %         par = par(end-5:end);
        
        A=par(1);
        B=par(2);
        C=par(3);
        D= par(4);
        T=par(5);
        T2=par(6);
        aif = AIF_biexp(A,B,C,D,T,T2,Ts,do);
        
    case 'Tri-exponencial'
        %         par = par(end-5:end);
        
        A=par(1);
        B=par(2);
        C=par(3);
        tau1=par(4);
        tau2=par(5);
        tau3=par(6);
        aif=AIF_triexp(A,B,C,tau1,tau2,tau3,Ts,do);
        
end

% aif_pars = par;
